## org.mortbay.jaas.callback
Class ObjectCallback

    java.lang.Object
      |
      +--org.mortbay.jaas.callback.ObjectCallback

All Implemented Interfaces:
  javax.security.auth.callback.Callback

public class ObjectCallback
extends java.lang.Object
implements javax.security.auth.callback.Callback

ObjectCallback

Can be used as a LoginModule Callback to obtain a user's credential as an Object, rather than a char[], to which some credentials may not be able to be converted

#### Notes

#### Usage

###

###

###

###

    Constructor Summary

    ObjectCallback()

    Method Summary

     void
    clearObject()

     java.lang.Object
    getObject()

     void
    setObject(java.lang.Object o)

    Methods inherited from class java.lang.Object

    equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Constructor Detail

    ObjectCallback

    public ObjectCallback()

    Method Detail

    setObject

    public void setObject(java.lang.Object o)

    getObject

    public java.lang.Object getObject()

    clearObject

    public void clearObject()

    Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.